/[pupa]/pupa/configure
ViewVC logotype

Diff of /pupa/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.5 by okuji, Thu Sep 25 20:29:32 2003 UTC revision 1.6 by marco_g, Wed Oct 29 18:44:26 2003 UTC
# Line 844  if test -n "$ac_init_help"; then Line 844  if test -n "$ac_init_help"; then
844     esac     esac
845    cat <<\_ACEOF    cat <<\_ACEOF
846    
847    Optional Features:
848      --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
849      --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
850      --disable-largefile     omit support for large files
851    
852  Some influential environment variables:  Some influential environment variables:
853    CC          C compiler command    CC          C compiler command
854    CFLAGS      C compiler flags    CFLAGS      C compiler flags
# Line 2247  ac_link='$CC -o conftest$ac_exeext $CFLA Line 2252  ac_link='$CC -o conftest$ac_exeext $CFLA
2252  ac_compiler_gnu=$ac_cv_c_compiler_gnu  ac_compiler_gnu=$ac_cv_c_compiler_gnu
2253    
2254    
2255    # Check whether --enable-largefile or --disable-largefile was given.
2256    if test "${enable_largefile+set}" = set; then
2257      enableval="$enable_largefile"
2258    
2259    fi;
2260    if test "$enable_largefile" != no; then
2261    
2262      echo "$as_me:$LINENO: checking for special C compiler options needed for large files" >&5
2263    echo $ECHO_N "checking for special C compiler options needed for large files... $ECHO_C" >&6
2264    if test "${ac_cv_sys_largefile_CC+set}" = set; then
2265      echo $ECHO_N "(cached) $ECHO_C" >&6
2266    else
2267      ac_cv_sys_largefile_CC=no
2268         if test "$GCC" != yes; then
2269           ac_save_CC=$CC
2270           while :; do
2271             # IRIX 6.2 and later do not support large files by default,
2272             # so use the C compiler's -n32 option if that helps.
2273             cat >conftest.$ac_ext <<_ACEOF
2274    #line $LINENO "configure"
2275    /* confdefs.h.  */
2276    _ACEOF
2277    cat confdefs.h >>conftest.$ac_ext
2278    cat >>conftest.$ac_ext <<_ACEOF
2279    /* end confdefs.h.  */
2280    #include <sys/types.h>
2281     /* Check that off_t can represent 2**63 - 1 correctly.
2282        We can't simply define LARGE_OFF_T to be 9223372036854775807,
2283        since some C++ compilers masquerading as C compilers
2284        incorrectly reject 9223372036854775807.  */
2285    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
2286      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
2287                           && LARGE_OFF_T % 2147483647 == 1)
2288                          ? 1 : -1];
2289    int
2290    main ()
2291    {
2292    
2293      ;
2294      return 0;
2295    }
2296    _ACEOF
2297             rm -f conftest.$ac_objext
2298    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2299      (eval $ac_compile) 2>&5
2300      ac_status=$?
2301      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2302      (exit $ac_status); } &&
2303             { ac_try='test -s conftest.$ac_objext'
2304      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2305      (eval $ac_try) 2>&5
2306      ac_status=$?
2307      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2308      (exit $ac_status); }; }; then
2309      break
2310    else
2311      echo "$as_me: failed program was:" >&5
2312    sed 's/^/| /' conftest.$ac_ext >&5
2313    
2314    fi
2315    rm -f conftest.$ac_objext
2316             CC="$CC -n32"
2317             rm -f conftest.$ac_objext
2318    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2319      (eval $ac_compile) 2>&5
2320      ac_status=$?
2321      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2322      (exit $ac_status); } &&
2323             { ac_try='test -s conftest.$ac_objext'
2324      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2325      (eval $ac_try) 2>&5
2326      ac_status=$?
2327      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2328      (exit $ac_status); }; }; then
2329      ac_cv_sys_largefile_CC=' -n32'; break
2330    else
2331      echo "$as_me: failed program was:" >&5
2332    sed 's/^/| /' conftest.$ac_ext >&5
2333    
2334    fi
2335    rm -f conftest.$ac_objext
2336             break
2337           done
2338           CC=$ac_save_CC
2339           rm -f conftest.$ac_ext
2340        fi
2341    fi
2342    echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_CC" >&5
2343    echo "${ECHO_T}$ac_cv_sys_largefile_CC" >&6
2344      if test "$ac_cv_sys_largefile_CC" != no; then
2345        CC=$CC$ac_cv_sys_largefile_CC
2346      fi
2347    
2348      echo "$as_me:$LINENO: checking for _FILE_OFFSET_BITS value needed for large files" >&5
2349    echo $ECHO_N "checking for _FILE_OFFSET_BITS value needed for large files... $ECHO_C" >&6
2350    if test "${ac_cv_sys_file_offset_bits+set}" = set; then
2351      echo $ECHO_N "(cached) $ECHO_C" >&6
2352    else
2353      while :; do
2354      ac_cv_sys_file_offset_bits=no
2355      cat >conftest.$ac_ext <<_ACEOF
2356    #line $LINENO "configure"
2357    /* confdefs.h.  */
2358    _ACEOF
2359    cat confdefs.h >>conftest.$ac_ext
2360    cat >>conftest.$ac_ext <<_ACEOF
2361    /* end confdefs.h.  */
2362    #include <sys/types.h>
2363     /* Check that off_t can represent 2**63 - 1 correctly.
2364        We can't simply define LARGE_OFF_T to be 9223372036854775807,
2365        since some C++ compilers masquerading as C compilers
2366        incorrectly reject 9223372036854775807.  */
2367    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
2368      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
2369                           && LARGE_OFF_T % 2147483647 == 1)
2370                          ? 1 : -1];
2371    int
2372    main ()
2373    {
2374    
2375      ;
2376      return 0;
2377    }
2378    _ACEOF
2379    rm -f conftest.$ac_objext
2380    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2381      (eval $ac_compile) 2>&5
2382      ac_status=$?
2383      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2384      (exit $ac_status); } &&
2385             { ac_try='test -s conftest.$ac_objext'
2386      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2387      (eval $ac_try) 2>&5
2388      ac_status=$?
2389      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2390      (exit $ac_status); }; }; then
2391      break
2392    else
2393      echo "$as_me: failed program was:" >&5
2394    sed 's/^/| /' conftest.$ac_ext >&5
2395    
2396    fi
2397    rm -f conftest.$ac_objext conftest.$ac_ext
2398      cat >conftest.$ac_ext <<_ACEOF
2399    #line $LINENO "configure"
2400    /* confdefs.h.  */
2401    _ACEOF
2402    cat confdefs.h >>conftest.$ac_ext
2403    cat >>conftest.$ac_ext <<_ACEOF
2404    /* end confdefs.h.  */
2405    #define _FILE_OFFSET_BITS 64
2406    #include <sys/types.h>
2407     /* Check that off_t can represent 2**63 - 1 correctly.
2408        We can't simply define LARGE_OFF_T to be 9223372036854775807,
2409        since some C++ compilers masquerading as C compilers
2410        incorrectly reject 9223372036854775807.  */
2411    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
2412      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
2413                           && LARGE_OFF_T % 2147483647 == 1)
2414                          ? 1 : -1];
2415    int
2416    main ()
2417    {
2418    
2419      ;
2420      return 0;
2421    }
2422    _ACEOF
2423    rm -f conftest.$ac_objext
2424    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2425      (eval $ac_compile) 2>&5
2426      ac_status=$?
2427      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2428      (exit $ac_status); } &&
2429             { ac_try='test -s conftest.$ac_objext'
2430      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2431      (eval $ac_try) 2>&5
2432      ac_status=$?
2433      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2434      (exit $ac_status); }; }; then
2435      ac_cv_sys_file_offset_bits=64; break
2436    else
2437      echo "$as_me: failed program was:" >&5
2438    sed 's/^/| /' conftest.$ac_ext >&5
2439    
2440    fi
2441    rm -f conftest.$ac_objext conftest.$ac_ext
2442      break
2443    done
2444    fi
2445    echo "$as_me:$LINENO: result: $ac_cv_sys_file_offset_bits" >&5
2446    echo "${ECHO_T}$ac_cv_sys_file_offset_bits" >&6
2447    if test "$ac_cv_sys_file_offset_bits" != no; then
2448    
2449    cat >>confdefs.h <<_ACEOF
2450    #define _FILE_OFFSET_BITS $ac_cv_sys_file_offset_bits
2451    _ACEOF
2452    
2453    fi
2454    rm -f conftest*
2455      echo "$as_me:$LINENO: checking for _LARGE_FILES value needed for large files" >&5
2456    echo $ECHO_N "checking for _LARGE_FILES value needed for large files... $ECHO_C" >&6
2457    if test "${ac_cv_sys_large_files+set}" = set; then
2458      echo $ECHO_N "(cached) $ECHO_C" >&6
2459    else
2460      while :; do
2461      ac_cv_sys_large_files=no
2462      cat >conftest.$ac_ext <<_ACEOF
2463    #line $LINENO "configure"
2464    /* confdefs.h.  */
2465    _ACEOF
2466    cat confdefs.h >>conftest.$ac_ext
2467    cat >>conftest.$ac_ext <<_ACEOF
2468    /* end confdefs.h.  */
2469    #include <sys/types.h>
2470     /* Check that off_t can represent 2**63 - 1 correctly.
2471        We can't simply define LARGE_OFF_T to be 9223372036854775807,
2472        since some C++ compilers masquerading as C compilers
2473        incorrectly reject 9223372036854775807.  */
2474    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
2475      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
2476                           && LARGE_OFF_T % 2147483647 == 1)
2477                          ? 1 : -1];
2478    int
2479    main ()
2480    {
2481    
2482      ;
2483      return 0;
2484    }
2485    _ACEOF
2486    rm -f conftest.$ac_objext
2487    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2488      (eval $ac_compile) 2>&5
2489      ac_status=$?
2490      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2491      (exit $ac_status); } &&
2492             { ac_try='test -s conftest.$ac_objext'
2493      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2494      (eval $ac_try) 2>&5
2495      ac_status=$?
2496      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2497      (exit $ac_status); }; }; then
2498      break
2499    else
2500      echo "$as_me: failed program was:" >&5
2501    sed 's/^/| /' conftest.$ac_ext >&5
2502    
2503    fi
2504    rm -f conftest.$ac_objext conftest.$ac_ext
2505      cat >conftest.$ac_ext <<_ACEOF
2506    #line $LINENO "configure"
2507    /* confdefs.h.  */
2508    _ACEOF
2509    cat confdefs.h >>conftest.$ac_ext
2510    cat >>conftest.$ac_ext <<_ACEOF
2511    /* end confdefs.h.  */
2512    #define _LARGE_FILES 1
2513    #include <sys/types.h>
2514     /* Check that off_t can represent 2**63 - 1 correctly.
2515        We can't simply define LARGE_OFF_T to be 9223372036854775807,
2516        since some C++ compilers masquerading as C compilers
2517        incorrectly reject 9223372036854775807.  */
2518    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
2519      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
2520                           && LARGE_OFF_T % 2147483647 == 1)
2521                          ? 1 : -1];
2522    int
2523    main ()
2524    {
2525    
2526      ;
2527      return 0;
2528    }
2529    _ACEOF
2530    rm -f conftest.$ac_objext
2531    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2532      (eval $ac_compile) 2>&5
2533      ac_status=$?
2534      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2535      (exit $ac_status); } &&
2536             { ac_try='test -s conftest.$ac_objext'
2537      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2538      (eval $ac_try) 2>&5
2539      ac_status=$?
2540      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2541      (exit $ac_status); }; }; then
2542      ac_cv_sys_large_files=1; break
2543    else
2544      echo "$as_me: failed program was:" >&5
2545    sed 's/^/| /' conftest.$ac_ext >&5
2546    
2547    fi
2548    rm -f conftest.$ac_objext conftest.$ac_ext
2549      break
2550    done
2551    fi
2552    echo "$as_me:$LINENO: result: $ac_cv_sys_large_files" >&5
2553    echo "${ECHO_T}$ac_cv_sys_large_files" >&6
2554    if test "$ac_cv_sys_large_files" != no; then
2555    
2556    cat >>confdefs.h <<_ACEOF
2557    #define _LARGE_FILES $ac_cv_sys_large_files
2558    _ACEOF
2559    
2560    fi
2561    rm -f conftest*
2562    fi
2563    
2564    
2565  # Must be GCC.  # Must be GCC.
2566  test "x$GCC" = xyes || { { echo "$as_me:$LINENO: error: GCC is required" >&5  test "x$GCC" = xyes || { { echo "$as_me:$LINENO: error: GCC is required" >&5
2567  echo "$as_me: error: GCC is required" >&2;}  echo "$as_me: error: GCC is required" >&2;}
# Line 2258  if test "x$default_CFLAGS" = xyes; then Line 2573  if test "x$default_CFLAGS" = xyes; then
2573                  -Wundef -Wstrict-prototypes -g"                  -Wundef -Wstrict-prototypes -g"
2574    
2575    # optimization flags.    # optimization flags.
2576      echo "$as_me:$LINENO: checking whether optimization for size works" >&5
 echo "$as_me:$LINENO: checking whether optimization for size works" >&5  
2577  echo $ECHO_N "checking whether optimization for size works... $ECHO_C" >&6  echo $ECHO_N "checking whether optimization for size works... $ECHO_C" >&6
2578  if test "${size_flag+set}" = set; then  if test "${size_flag+set}" = set; then
2579    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6

Legend:
Removed from v.1.5  
changed lines
  Added in v.1.6

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26